diff --git a/Documentation/devicetree/bindings/power/supply/richtek,rt9467-charger.yaml b/Documentation/devicetree/bindings/power/supply/richtek,rt9467-charger.yaml
deleted file mode 100644
index 92c5706..00000000
--- a/Documentation/devicetree/bindings/power/supply/richtek,rt9467-charger.yaml
+++ /dev/null
@@ -1,82 +0,0 @@
-# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
-%YAML 1.2
----
-$id: http://devicetree.org/schemas/power/supply/richtek,rt9467-charger.yaml#
-$schema: http://devicetree.org/meta-schemas/core.yaml#
-
-title: Richtek RT9467 Switching Battery Charger with Power Path Management
-
-maintainers:
-  - ChiYuan Huang <cy_huang@richtek.com>
-  - ChiaEn Wu <chiaen_wu@richtek.com>
-
-description: |
-  RT9467 is a switch-mode single cell Li-Ion/Li-Polymer battery charger for
-  portable applications. It integrates a synchronous PWM controller, power
-  MOSFETs, input current sensing and regulation, high-accuracy voltage
-  regulation, and charge termination. The charge current is regulated through
-  integrated sensing resistors.
-
-  The RT9467 also features USB On-The-Go (OTG) support. It also integrates
-  D+/D- pin for USB host/charging port detection.
-
-  Datasheet is available at
-  https://www.richtek.com/assets/product_file/RT9467/DS9467-01.pdf
-
-properties:
-  compatible:
-    const: richtek,rt9467-charger
-
-  reg:
-    maxItems: 1
-
-  wakeup-source: true
-
-  interrupts:
-    maxItems: 1
-
-  charge-enable-gpios:
-    description: GPIO is used to turn on and off charging.
-    maxItems: 1
-
-  usb-otg-vbus-regulator:
-    type: object
-    description: OTG boost regulator.
-    unevaluatedProperties: false
-    $ref: /schemas/regulator/regulator.yaml#
-
-    properties:
-      enable-gpios: true
-
-required:
-  - compatible
-  - reg
-  - wakeup-source
-  - interrupts
-
-additionalProperties: false
-
-examples:
-  - |
-    #include <dt-bindings/interrupt-controller/irq.h>
-    #include <dt-bindings/gpio/gpio.h>
-    i2c {
-      #address-cells = <1>;
-      #size-cells = <0>;
-
-      charger@5b {
-        compatible = "richtek,rt9467-charger";
-        reg = <0x5b>;
-        wakeup-source;
-        interrupts-extended = <&gpio_intc 32 IRQ_TYPE_LEVEL_LOW>;
-        charge-enable-gpios = <&gpio26 1 GPIO_ACTIVE_LOW>;
-
-        rt9467_otg_vbus: usb-otg-vbus-regulator {
-          regulator-name = "rt9467-usb-otg-vbus";
-          regulator-min-microvolt = <4425000>;
-          regulator-max-microvolt = <5825000>;
-          regulator-min-microamp = <500000>;
-          regulator-max-microamp = <3000000>;
-        };
-      };
-    };
diff --git a/Documentation/devicetree/bindings/power/supply/richtek,rt9467.yaml b/Documentation/devicetree/bindings/power/supply/richtek,rt9467.yaml
new file mode 100644
index 00000000..3723717
--- /dev/null
+++ b/Documentation/devicetree/bindings/power/supply/richtek,rt9467.yaml
@@ -0,0 +1,82 @@
+# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
+%YAML 1.2
+---
+$id: http://devicetree.org/schemas/power/supply/richtek,rt9467.yaml#
+$schema: http://devicetree.org/meta-schemas/core.yaml#
+
+title: Richtek RT9467 Switching Battery Charger with Power Path Management
+
+maintainers:
+  - ChiYuan Huang <cy_huang@richtek.com>
+  - ChiaEn Wu <chiaen_wu@richtek.com>
+
+description: |
+  RT9467 is a switch-mode single cell Li-Ion/Li-Polymer battery charger for
+  portable applications. It integrates a synchronous PWM controller, power
+  MOSFETs, input current sensing and regulation, high-accuracy voltage
+  regulation, and charge termination. The charge current is regulated through
+  integrated sensing resistors.
+
+  The RT9467 also features USB On-The-Go (OTG) support. It also integrates
+  D+/D- pin for USB host/charging port detection.
+
+  Datasheet is available at
+  https://www.richtek.com/assets/product_file/RT9467/DS9467-01.pdf
+
+properties:
+  compatible:
+    const: richtek,rt9467
+
+  reg:
+    maxItems: 1
+
+  wakeup-source: true
+
+  interrupts:
+    maxItems: 1
+
+  charge-enable-gpios:
+    description: GPIO is used to turn on and off charging.
+    maxItems: 1
+
+  usb-otg-vbus-regulator:
+    type: object
+    description: OTG boost regulator.
+    unevaluatedProperties: false
+    $ref: /schemas/regulator/regulator.yaml#
+
+    properties:
+      enable-gpios: true
+
+required:
+  - compatible
+  - reg
+  - wakeup-source
+  - interrupts
+
+additionalProperties: false
+
+examples:
+  - |
+    #include <dt-bindings/interrupt-controller/irq.h>
+    #include <dt-bindings/gpio/gpio.h>
+    i2c {
+      #address-cells = <1>;
+      #size-cells = <0>;
+
+      charger@5b {
+        compatible = "richtek,rt9467";
+        reg = <0x5b>;
+        wakeup-source;
+        interrupts-extended = <&gpio_intc 32 IRQ_TYPE_LEVEL_LOW>;
+        charge-enable-gpios = <&gpio26 1 GPIO_ACTIVE_LOW>;
+
+        rt9467_otg_vbus: usb-otg-vbus-regulator {
+          regulator-name = "rt9467-usb-otg-vbus";
+          regulator-min-microvolt = <4425000>;
+          regulator-max-microvolt = <5825000>;
+          regulator-min-microamp = <500000>;
+          regulator-max-microamp = <3000000>;
+        };
+      };
+    };